org.keycloak.protocol.saml.profile.ecp.authenticator

## Class HttpBasicAuthenticator

- java.lang.Object
- - org.keycloak.protocol.saml.profile.ecp.authenticator.HttpBasicAuthenticator

- All Implemented Interfaces:
    Authenticator, Provider
  Direct Known Subclasses:
    DockerAuthenticator

      public class HttpBasicAuthenticator
      extends Object
      implements Authenticator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpBasicAuthenticator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `action(AuthenticationFlowContext context)` Called from a form action invocation.
    `void` | `authenticate(AuthenticationFlowContext context)` Initial call for the authenticator.
    `void` | `close()`
    `boolean` | `configuredFor(KeycloakSession session, RealmModel realm, UserModel user)` Is this authenticator configured for this user.
    `protected void` | `notValidCredentialsAction(AuthenticationFlowContext context, RealmModel realm, UserModel user)`
    `protected void` | `nullUserAction(AuthenticationFlowContext context, RealmModel realm, String user)`
    `boolean` | `requiresUser()` Does this authenticator require that the user has already been identified? That AuthenticatorContext.getUser() is not null?
    `void` | `setRequiredActions(KeycloakSession session, RealmModel realm, UserModel user)` Set actions to configure authenticator
    `protected void` | `userDisabledAction(AuthenticationFlowContext context, RealmModel realm, UserModel user, String eventError)`
    `protected void` | `userSuccessAction(AuthenticationFlowContext context, UserModel user)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.authentication.Authenticator

      `areRequiredActionsEnabled, getRequiredActions`

- - ### Constructor Detail

    - #### HttpBasicAuthenticator

          public HttpBasicAuthenticator()

  - ### Method Detail

    - #### authenticate

          public void authenticate(AuthenticationFlowContext context)

      Description copied from interface: `Authenticator`
      Initial call for the authenticator. This method should check the current HTTP request to determine if the request satifies the Authenticator's requirements. If it doesn't, it should send back a challenge response by calling the AuthenticationFlowContext.challenge(Response). If this challenge is a authentication, the action URL of the form must point to /realms/{realm}/login-actions/authenticate?code={session-code}&execution={executionId} or /realms/{realm}/login-actions/registration?code={session-code}&execution={executionId} {session-code} pertains to the code generated from AuthenticationFlowContext.generateAccessCode(). The {executionId} pertains to the AuthenticationExecutionModel.getId() value obtained from AuthenticationFlowContext.getExecution(). The action URL will invoke the action() method described below.
      Specified by:
        `authenticate` in interface `Authenticator`

    - #### userSuccessAction

          protected void userSuccessAction(AuthenticationFlowContext context,
                                           UserModel user)

    - #### userDisabledAction

          protected void userDisabledAction(AuthenticationFlowContext context,
                                            RealmModel realm,
                                            UserModel user,
                                            String eventError)

    - #### nullUserAction

          protected void nullUserAction(AuthenticationFlowContext context,
                                        RealmModel realm,
                                        String user)

    - #### notValidCredentialsAction

          protected void notValidCredentialsAction(AuthenticationFlowContext context,
                                                   RealmModel realm,
                                                   UserModel user)

    - #### action

          public void action(AuthenticationFlowContext context)

      Description copied from interface: `Authenticator`
      Called from a form action invocation.
      Specified by:
        `action` in interface `Authenticator`

    - #### requiresUser

          public boolean requiresUser()

      Description copied from interface: `Authenticator`
      Does this authenticator require that the user has already been identified? That AuthenticatorContext.getUser() is not null?
      Specified by:
        `requiresUser` in interface `Authenticator`
      Returns:

    - #### configuredFor

          public boolean configuredFor(KeycloakSession session,
                                       RealmModel realm,
                                       UserModel user)

      Description copied from interface: `Authenticator`
      Is this authenticator configured for this user.
      Specified by:
        `configuredFor` in interface `Authenticator`
      Returns:

    - #### setRequiredActions

          public void setRequiredActions(KeycloakSession session,
                                         RealmModel realm,
                                         UserModel user)

      Description copied from interface: `Authenticator`
      Set actions to configure authenticator
      Specified by:
        `setRequiredActions` in interface `Authenticator`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2021 JBoss by Red Hat. All rights reserved.